OrderedByteArraySet (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena.dvdrp

## Class OrderedByteArraySet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - java.util.TreeSet<byte[]>
      - - siena.dvdrp.OrderedByteArraySet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<byte[]>, java.util.Collection<byte[]>, java.util.NavigableSet<byte[]>, java.util.Set<byte[]>, java.util.SortedSet<byte[]>

      public class OrderedByteArraySet
      extends java.util.TreeSet<byte[]>
      implements java.util.Set<byte[]>

  an ordered Map using byte arrays as keys.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderedByteArraySet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` for debugging purposes only

    - ### Methods inherited from class java.util.TreeSet

      `add, addAll, ceiling, clear, clone, comparator, contains, descendingIterator, descendingSet, first, floor, headSet, headSet, higher, isEmpty, iterator, last, lower, pollFirst, pollLast, remove, size, subSet, subSet, tailSet, tailSet`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, retainAll, toArray, toArray`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

- - ### Constructor Detail

    - #### OrderedByteArraySet

          public OrderedByteArraySet()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      for debugging purposes only
      Overrides:
        `toString` in class `java.util.AbstractCollection<byte[]>`

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga